CifString Class Reference

Public class that contains CIF string related static methods. More...

`#include <CifString.h>`

Collaboration diagram for CifString:

## Static Public Member Functions

static void | MakeCifItem (std::string &cifItem, const std::string &categoryName, const std::string &itemName)
static void | MakeCifItems (std::vector< std::string > &cifItems, const std::string &categoryName, const std::vector< std::string > &attribsNames)
static void | GetItemFromCifItem (std::string &keyword, const std::string &itemName)
static void | GetCategoryFromCifItem (std::string &categoryName, const std::string &itemName)
static bool | IsEmptyValue (const std::string &value)
static bool | IsUnknownValue (const std::string &value)
static bool | IsSpecialChar (const char charValue)
static bool | IsSpecialFirstChar (const char charValue)

## Static Public Attributes

static const char | PREFIX_CHAR = '_'
static const char | JOIN_CHAR = '.'
static const char | NULL_CHAR = '?'
static const char | NOT_APPROPRIATE_CHAR = '.'
static const std::string | CIF_DDL_CATEGORY_BLOCK
static const std::string | CIF_DDL_CATEGORY_DATABLOCK
static const std::string | CIF_DDL_CATEGORY_DATABLOCK_METHODS
static const std::string | CIF_DDL_CATEGORY_ITEM
static const std::string | CIF_DDL_CATEGORY_ITEM_LINKED
static const std::string | CIF_DDL_CATEGORY_PDBX_ITEM_LINKED_GROUP
static const std::string | CIF_DDL_CATEGORY_PDBX_ITEM_LINKED_GROUP_LIST
static const std::string | CIF_DDL_CATEGORY_CATEGORY
static const std::string | CIF_DDL_CATEGORY_CATEGORY_EXAMPLES
static const std::string | CIF_DDL_CATEGORY_NDB_CATEGORY_EXAMPLES
static const std::string | CIF_DDL_CATEGORY_CATEGORY_KEY
static const std::string | CIF_DDL_CATEGORY_CATEGORY_GROUP
static const std::string | CIF_DDL_CATEGORY_CATEGORY_GROUP_LIST
static const std::string | CIF_DDL_CATEGORY_CATEGORY_METHODS
static const std::string | CIF_DDL_CATEGORY_SUB_CATEGORY
static const std::string | CIF_DDL_CATEGORY_SUB_CATEGORY_EXAMPLES
static const std::string | CIF_DDL_CATEGORY_SUB_CATEGORY_METHODS
static const std::string | CIF_DDL_CATEGORY_ITEM_SUB_CATEGORY
static const std::string | CIF_DDL_CATEGORY_ITEM_TYPE
static const std::string | CIF_DDL_CATEGORY_ITEM_TYPE_CONDITIONS
static const std::string | CIF_DDL_CATEGORY_ITEM_METHODS
static const std::string | CIF_DDL_CATEGORY_ITEM_TYPE_LIST
static const std::string | CIF_DDL_CATEGORY_ITEM_STRUCTURE
static const std::string | CIF_DDL_CATEGORY_ITEM_STRUCTURE_LIST
static const std::string | CIF_DDL_CATEGORY_ITEM_DESCRIPTION
static const std::string | CIF_DDL_CATEGORY_NDB_ITEM_DESCRIPTION
static const std::string | CIF_DDL_CATEGORY_NDB_CATEGORY_DESCRIPTION
static const std::string | CIF_DDL_CATEGORY_ITEM_EXAMPLES
static const std::string | CIF_DDL_CATEGORY_NDB_ITEM_EXAMPLES
static const std::string | CIF_DDL_CATEGORY_ITEM_DEPENDENT
static const std::string | CIF_DDL_CATEGORY_ITEM_RELATED
static const std::string | CIF_DDL_CATEGORY_ITEM_RANGE
static const std::string | CIF_DDL_CATEGORY_ITEM_ENUMERATION
static const std::string | CIF_DDL_CATEGORY_NDB_ITEM_ENUMERATION
static const std::string | CIF_DDL_CATEGORY_ITEM_DEFAULT
static const std::string | CIF_DDL_CATEGORY_ITEM_ALIASES
static const std::string | CIF_DDL_CATEGORY_DICTIONARY
static const std::string | CIF_DDL_CATEGORY_DICTIONARY_HISTORY
static const std::string | CIF_DDL_CATEGORY_ITEM_UNITS
static const std::string | CIF_DDL_CATEGORY_ITEM_UNITS_LIST
static const std::string | CIF_DDL_CATEGORY_ITEM_UNITS_CONVERSION
static const std::string | CIF_DDL_CATEGORY_METHOD_LIST
static const std::string | CIF_DDL_ITEM_ID
static const std::string | CIF_DDL_ITEM_CATEGORY_ID
static const std::string | CIF_DDL_ITEM_SUB_CATEGORY_ID
static const std::string | CIF_DDL_ITEM_METHOD_ID
static const std::string | CIF_DDL_ITEM_PARENT_NAME
static const std::string | CIF_DDL_ITEM_CHILD_NAME
static const std::string | CIF_DDL_ITEM_CHILD_CATEGORY_ID
static const std::string | CIF_DDL_ITEM_PARENT_CATEGORY_ID
static const std::string | CIF_DDL_ITEM_LINK_GROUP_ID
static const std::string | CIF_DDL_ITEM_LABEL
static const std::string | CIF_DDL_ITEM_CONTEXT
static const std::string | CIF_DDL_ITEM_CONDITION_ID
static const std::string | CIF_DDL_ITEM_ALIAS_NAME
static const std::string | CIF_DDL_ITEM_DICTIONARY
static const std::string | CIF_DDL_ITEM_TITLE
static const std::string | CIF_DDL_ITEM_VERSION
static const std::string | CIF_DDL_ITEM_NAME
static const std::string | CIF_DDL_ITEM_CODE
static const std::string | CIF_DDL_ITEM_PRIMITIVE_CODE
static const std::string | CIF_DDL_ITEM_CONSTRUCT
static const std::string | CIF_DDL_ITEM_ORGANIZATION
static const std::string | CIF_DDL_ITEM_INDEX
static const std::string | CIF_DDL_ITEM_DIMENSION
static const std::string | CIF_DDL_ITEM_DATABLOCK_ID
static const std::string | CIF_DDL_ITEM_DESCRIPTION
static const std::string | CIF_DDL_ITEM_NDB_DESCRIPTION
static const std::string | CIF_DDL_ITEM_CASE
static const std::string | CIF_DDL_ITEM_MANDATORY_CODE
static const std::string | CIF_DDL_ITEM_DETAIL
static const std::string | CIF_DDL_ITEM_MAXIMUM
static const std::string | CIF_DDL_ITEM_MINIMUM
static const std::string | CIF_DDL_ITEM_VALUE
static const std::string | CIF_DDL_ITEM_DEPENDENT_NAME
static const std::string | CIF_DDL_ITEM_RELATED_NAME
static const std::string | CIF_DDL_ITEM_FUNCTION_CODE
static const std::string | CIF_DDL_ITEM_OFFSET
static const std::string | CIF_DDL_ITEM_OPERATOR
static const std::string | CIF_DDL_ITEM_FACTOR
static const std::string | CIF_DDL_ITEM_FROM_CODE
static const std::string | CIF_DDL_ITEM_TO_CODE
static const std::string | CIF_DDL_ITEM_UPDATE
static const std::string | CIF_DDL_ITEM_REVISION
static const std::string | CIF_DDL_ITEM_INLINE
static const std::string | CIF_DDL_ITEM_LANGUAGE
static const std::string | CIF_DDL_ITEM_PARENT_ID
static const std::string | UnknownValue
static const std::string | InapplicableValue

## Detailed Description

Public class that contains CIF string related static methods.

This class is not a full abstraction of a CIF string. It only contains static constants and methods, that are related to a CIF string. A CIF string is a string, prefixed with an underscore, that consists of a category name and an item name concatenated by a dot, as specified here:

_categoryName.itemName

The class provides methods for creating a CIF string, extracting category name and item name from a CIF string.

## Member Function Documentation

## GetCategoryFromCifItem()

static void CifString::GetCategoryFromCifItem | ( | std::string & | categoryName,
|  | const std::string & | itemName
| ) |  |

static

## GetItemFromCifItem()

static void CifString::GetItemFromCifItem | ( | std::string & | keyword,
|  | const std::string & | itemName
| ) |  |

static

## IsEmptyValue()

static bool CifString::IsEmptyValue | ( | const std::string & | value | ) |

static

## IsSpecialChar()

static bool CifString::IsSpecialChar | ( | const char | charValue | ) |

static

## IsSpecialFirstChar()

static bool CifString::IsSpecialFirstChar | ( | const char | charValue | ) |

static

## IsUnknownValue()

static bool CifString::IsUnknownValue | ( | const std::string & | value | ) |

static

## MakeCifItem()

static void CifString::MakeCifItem | ( | std::string & | cifItem,
|  | const std::string & | categoryName,
|  | const std::string & | itemName
| ) |  |

static

## MakeCifItems()

static void CifString::MakeCifItems | ( | std::vector< std::string > & | cifItems,
|  | const std::string & | categoryName,
|  | const std::vector< std::string > & | attribsNames
| ) |  |

static

## Member Data Documentation

## CIF_DDL_CATEGORY_BLOCK

const std::string CifString::CIF_DDL_CATEGORY_BLOCK

static

## CIF_DDL_CATEGORY_CATEGORY

const std::string CifString::CIF_DDL_CATEGORY_CATEGORY

static

## CIF_DDL_CATEGORY_CATEGORY_EXAMPLES

const std::string CifString::CIF_DDL_CATEGORY_CATEGORY_EXAMPLES

static

## CIF_DDL_CATEGORY_CATEGORY_GROUP

const std::string CifString::CIF_DDL_CATEGORY_CATEGORY_GROUP

static

## CIF_DDL_CATEGORY_CATEGORY_GROUP_LIST

const std::string CifString::CIF_DDL_CATEGORY_CATEGORY_GROUP_LIST

static

## CIF_DDL_CATEGORY_CATEGORY_KEY

const std::string CifString::CIF_DDL_CATEGORY_CATEGORY_KEY

static

## CIF_DDL_CATEGORY_CATEGORY_METHODS

const std::string CifString::CIF_DDL_CATEGORY_CATEGORY_METHODS

static

## CIF_DDL_CATEGORY_DATABLOCK

const std::string CifString::CIF_DDL_CATEGORY_DATABLOCK

static

## CIF_DDL_CATEGORY_DATABLOCK_METHODS

const std::string CifString::CIF_DDL_CATEGORY_DATABLOCK_METHODS

static

## CIF_DDL_CATEGORY_DICTIONARY

const std::string CifString::CIF_DDL_CATEGORY_DICTIONARY

static

## CIF_DDL_CATEGORY_DICTIONARY_HISTORY

const std::string CifString::CIF_DDL_CATEGORY_DICTIONARY_HISTORY

static

## CIF_DDL_CATEGORY_ITEM

const std::string CifString::CIF_DDL_CATEGORY_ITEM

static

## CIF_DDL_CATEGORY_ITEM_ALIASES

const std::string CifString::CIF_DDL_CATEGORY_ITEM_ALIASES

static

## CIF_DDL_CATEGORY_ITEM_DEFAULT

const std::string CifString::CIF_DDL_CATEGORY_ITEM_DEFAULT

static

## CIF_DDL_CATEGORY_ITEM_DEPENDENT

const std::string CifString::CIF_DDL_CATEGORY_ITEM_DEPENDENT

static

## CIF_DDL_CATEGORY_ITEM_DESCRIPTION

const std::string CifString::CIF_DDL_CATEGORY_ITEM_DESCRIPTION

static

## CIF_DDL_CATEGORY_ITEM_ENUMERATION

const std::string CifString::CIF_DDL_CATEGORY_ITEM_ENUMERATION

static

## CIF_DDL_CATEGORY_ITEM_EXAMPLES

const std::string CifString::CIF_DDL_CATEGORY_ITEM_EXAMPLES

static

## CIF_DDL_CATEGORY_ITEM_LINKED

const std::string CifString::CIF_DDL_CATEGORY_ITEM_LINKED

static

## CIF_DDL_CATEGORY_ITEM_METHODS

const std::string CifString::CIF_DDL_CATEGORY_ITEM_METHODS

static

## CIF_DDL_CATEGORY_ITEM_RANGE

const std::string CifString::CIF_DDL_CATEGORY_ITEM_RANGE

static

## CIF_DDL_CATEGORY_ITEM_RELATED

const std::string CifString::CIF_DDL_CATEGORY_ITEM_RELATED

static

## CIF_DDL_CATEGORY_ITEM_STRUCTURE

const std::string CifString::CIF_DDL_CATEGORY_ITEM_STRUCTURE

static

## CIF_DDL_CATEGORY_ITEM_STRUCTURE_LIST

const std::string CifString::CIF_DDL_CATEGORY_ITEM_STRUCTURE_LIST

static

## CIF_DDL_CATEGORY_ITEM_SUB_CATEGORY

const std::string CifString::CIF_DDL_CATEGORY_ITEM_SUB_CATEGORY

static

## CIF_DDL_CATEGORY_ITEM_TYPE

const std::string CifString::CIF_DDL_CATEGORY_ITEM_TYPE

static

## CIF_DDL_CATEGORY_ITEM_TYPE_CONDITIONS

const std::string CifString::CIF_DDL_CATEGORY_ITEM_TYPE_CONDITIONS

static

## CIF_DDL_CATEGORY_ITEM_TYPE_LIST

const std::string CifString::CIF_DDL_CATEGORY_ITEM_TYPE_LIST

static

## CIF_DDL_CATEGORY_ITEM_UNITS

const std::string CifString::CIF_DDL_CATEGORY_ITEM_UNITS

static

## CIF_DDL_CATEGORY_ITEM_UNITS_CONVERSION

const std::string CifString::CIF_DDL_CATEGORY_ITEM_UNITS_CONVERSION

static

## CIF_DDL_CATEGORY_ITEM_UNITS_LIST

const std::string CifString::CIF_DDL_CATEGORY_ITEM_UNITS_LIST

static

## CIF_DDL_CATEGORY_METHOD_LIST

const std::string CifString::CIF_DDL_CATEGORY_METHOD_LIST

static

## CIF_DDL_CATEGORY_NDB_CATEGORY_DESCRIPTION

const std::string CifString::CIF_DDL_CATEGORY_NDB_CATEGORY_DESCRIPTION

static

## CIF_DDL_CATEGORY_NDB_CATEGORY_EXAMPLES

const std::string CifString::CIF_DDL_CATEGORY_NDB_CATEGORY_EXAMPLES

static

## CIF_DDL_CATEGORY_NDB_ITEM_DESCRIPTION

const std::string CifString::CIF_DDL_CATEGORY_NDB_ITEM_DESCRIPTION

static

## CIF_DDL_CATEGORY_NDB_ITEM_ENUMERATION

const std::string CifString::CIF_DDL_CATEGORY_NDB_ITEM_ENUMERATION

static

## CIF_DDL_CATEGORY_NDB_ITEM_EXAMPLES

const std::string CifString::CIF_DDL_CATEGORY_NDB_ITEM_EXAMPLES

static

## CIF_DDL_CATEGORY_PDBX_ITEM_LINKED_GROUP

const std::string CifString::CIF_DDL_CATEGORY_PDBX_ITEM_LINKED_GROUP

static

## CIF_DDL_CATEGORY_PDBX_ITEM_LINKED_GROUP_LIST

const std::string CifString::CIF_DDL_CATEGORY_PDBX_ITEM_LINKED_GROUP_LIST

static

## CIF_DDL_CATEGORY_SUB_CATEGORY

const std::string CifString::CIF_DDL_CATEGORY_SUB_CATEGORY

static

## CIF_DDL_CATEGORY_SUB_CATEGORY_EXAMPLES

const std::string CifString::CIF_DDL_CATEGORY_SUB_CATEGORY_EXAMPLES

static

## CIF_DDL_CATEGORY_SUB_CATEGORY_METHODS

const std::string CifString::CIF_DDL_CATEGORY_SUB_CATEGORY_METHODS

static

## CIF_DDL_ITEM_ALIAS_NAME

const std::string CifString::CIF_DDL_ITEM_ALIAS_NAME

static

## CIF_DDL_ITEM_CASE

const std::string CifString::CIF_DDL_ITEM_CASE

static

## CIF_DDL_ITEM_CATEGORY_ID

const std::string CifString::CIF_DDL_ITEM_CATEGORY_ID

static

## CIF_DDL_ITEM_CHILD_CATEGORY_ID

const std::string CifString::CIF_DDL_ITEM_CHILD_CATEGORY_ID

static

## CIF_DDL_ITEM_CHILD_NAME

const std::string CifString::CIF_DDL_ITEM_CHILD_NAME

static

## CIF_DDL_ITEM_CODE

const std::string CifString::CIF_DDL_ITEM_CODE

static

## CIF_DDL_ITEM_CONDITION_ID

const std::string CifString::CIF_DDL_ITEM_CONDITION_ID

static

## CIF_DDL_ITEM_CONSTRUCT

const std::string CifString::CIF_DDL_ITEM_CONSTRUCT

static

## CIF_DDL_ITEM_CONTEXT

const std::string CifString::CIF_DDL_ITEM_CONTEXT

static

## CIF_DDL_ITEM_DATABLOCK_ID

const std::string CifString::CIF_DDL_ITEM_DATABLOCK_ID

static

## CIF_DDL_ITEM_DEPENDENT_NAME

const std::string CifString::CIF_DDL_ITEM_DEPENDENT_NAME

static

## CIF_DDL_ITEM_DESCRIPTION

const std::string CifString::CIF_DDL_ITEM_DESCRIPTION

static

## CIF_DDL_ITEM_DETAIL

const std::string CifString::CIF_DDL_ITEM_DETAIL

static

## CIF_DDL_ITEM_DICTIONARY

const std::string CifString::CIF_DDL_ITEM_DICTIONARY

static

## CIF_DDL_ITEM_DIMENSION

const std::string CifString::CIF_DDL_ITEM_DIMENSION

static

## CIF_DDL_ITEM_FACTOR

const std::string CifString::CIF_DDL_ITEM_FACTOR

static

## CIF_DDL_ITEM_FROM_CODE

const std::string CifString::CIF_DDL_ITEM_FROM_CODE

static

## CIF_DDL_ITEM_FUNCTION_CODE

const std::string CifString::CIF_DDL_ITEM_FUNCTION_CODE

static

## CIF_DDL_ITEM_ID

const std::string CifString::CIF_DDL_ITEM_ID

static

## CIF_DDL_ITEM_INDEX

const std::string CifString::CIF_DDL_ITEM_INDEX

static

## CIF_DDL_ITEM_INLINE

const std::string CifString::CIF_DDL_ITEM_INLINE

static

## CIF_DDL_ITEM_LABEL

const std::string CifString::CIF_DDL_ITEM_LABEL

static

## CIF_DDL_ITEM_LANGUAGE

const std::string CifString::CIF_DDL_ITEM_LANGUAGE

static

## CIF_DDL_ITEM_LINK_GROUP_ID

const std::string CifString::CIF_DDL_ITEM_LINK_GROUP_ID

static

## CIF_DDL_ITEM_MANDATORY_CODE

const std::string CifString::CIF_DDL_ITEM_MANDATORY_CODE

static

## CIF_DDL_ITEM_MAXIMUM

const std::string CifString::CIF_DDL_ITEM_MAXIMUM

static

## CIF_DDL_ITEM_METHOD_ID

const std::string CifString::CIF_DDL_ITEM_METHOD_ID

static

## CIF_DDL_ITEM_MINIMUM

const std::string CifString::CIF_DDL_ITEM_MINIMUM

static

## CIF_DDL_ITEM_NAME

const std::string CifString::CIF_DDL_ITEM_NAME

static

## CIF_DDL_ITEM_NDB_DESCRIPTION

const std::string CifString::CIF_DDL_ITEM_NDB_DESCRIPTION

static

## CIF_DDL_ITEM_OFFSET

const std::string CifString::CIF_DDL_ITEM_OFFSET

static

## CIF_DDL_ITEM_OPERATOR

const std::string CifString::CIF_DDL_ITEM_OPERATOR

static

## CIF_DDL_ITEM_ORGANIZATION

const std::string CifString::CIF_DDL_ITEM_ORGANIZATION

static

## CIF_DDL_ITEM_PARENT_CATEGORY_ID

const std::string CifString::CIF_DDL_ITEM_PARENT_CATEGORY_ID

static

## CIF_DDL_ITEM_PARENT_ID

const std::string CifString::CIF_DDL_ITEM_PARENT_ID

static

## CIF_DDL_ITEM_PARENT_NAME

const std::string CifString::CIF_DDL_ITEM_PARENT_NAME

static

## CIF_DDL_ITEM_PRIMITIVE_CODE

const std::string CifString::CIF_DDL_ITEM_PRIMITIVE_CODE

static

## CIF_DDL_ITEM_RELATED_NAME

const std::string CifString::CIF_DDL_ITEM_RELATED_NAME

static

## CIF_DDL_ITEM_REVISION

const std::string CifString::CIF_DDL_ITEM_REVISION

static

## CIF_DDL_ITEM_SUB_CATEGORY_ID

const std::string CifString::CIF_DDL_ITEM_SUB_CATEGORY_ID

static

## CIF_DDL_ITEM_TITLE

const std::string CifString::CIF_DDL_ITEM_TITLE

static

## CIF_DDL_ITEM_TO_CODE

const std::string CifString::CIF_DDL_ITEM_TO_CODE

static

## CIF_DDL_ITEM_UPDATE

const std::string CifString::CIF_DDL_ITEM_UPDATE

static

## CIF_DDL_ITEM_VALUE

const std::string CifString::CIF_DDL_ITEM_VALUE

static

## CIF_DDL_ITEM_VERSION

const std::string CifString::CIF_DDL_ITEM_VERSION

static

## InapplicableValue

const std::string CifString::InapplicableValue

static

## JOIN_CHAR

const char CifString::JOIN_CHAR = '.'

static

## NOT_APPROPRIATE_CHAR

const char CifString::NOT_APPROPRIATE_CHAR = '.'

static

## NULL_CHAR

const char CifString::NULL_CHAR = '?'

static

## PREFIX_CHAR

const char CifString::PREFIX_CHAR = '_'

static

## UnknownValue

const std::string CifString::UnknownValue

static

The documentation for this class was generated from the following file:

- rcsb/CifString.h